'
' JustLDAP test script for adding an existing user to a named group.
' Note: The group name must be unique in the domain.
' This method has the advantage that if the name is unique in the domain,
' then you do not need to specify the full Group distinguishedName path.
'
' Demonstrates GetLastErrorAsMessage to assist debugging.
'
' Input parameters - Group and UserID (sAMAccountName) i.e. User Login name
' Returns Variant - typically 0 (Integer) indicating success
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.AddUserToGroup("International Sales", "newuser")
 
  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
  End If
 
  Wscript.Echo Result

Set oLdap = Nothing


