'
' JustLDAP test script to test if a user is disabled or not.
'
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns Boolean;  True = User is disabled or False = User not disabled
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.IsUserDisabled("newuser")

  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    if Result = True then
      Wscript.Echo "User is disabled"
    else
      Wscript.Echo "User is not disabled"
    End If

  End If
 

Set oLdap = Nothing


